{% load static %}
<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <link rel="icon" href="{% static 'dist/img/smartsoft1.ico' %}">
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'dist/css/style.css' %}">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet"  href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap" rel="stylesheet">
  <title>YUYITOS | Iniciar Sesion</title>
</head>
<body class="hold-transition layout-top-nav">
  <!-- NAVBAR -->
  <nav class="navbar navbar-expand-lg" style="box-shadow: 0 0 1px rgba(0,0,0,.125), 0 1px 3px rgba(0,0,0,.2);">
      <a class="navbar-brand pl-5" href="#"><img src="{% static 'dist/img/smartsoft.png' %}" width="178" height="55" class="d-inline-block align-top" alt=""></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon" ></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav pl-5">
          <li class="nav-item">
            <a class="nav-link" style="color: #6c757d;"  href="{% url 'index' %}">Contacto</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- BODY -->
    <div class="cuerpo">
      <div class="row">
            <div class="col-1">

            </div>
            <div class="col-10">
                <div class="row">
                    <div class="col-7 text">
                      {% if next %}
                      {% if user.is_authenticated %}
                      <p style="text-align:center;display:block;"> 
                        Tu cuenta no tiene acceso a esta pagina. Para proceder
                        inicia sesion con una cuenta que tenga acceso.
                        <a href="{% url 'almacen:inicio' %}" style="text-align:center;display:block;">Regresar al Sistema</a>
                      </p>
                      {% else %}
                      <p style="text-align:center;display:block;">Por favor inicia sesion para acceder a esta pagina..</p>
                      {% endif %}
                      {% endif %}
                        <h1>La mejor opción para mejorar tu negocio</h1>
                        <h3 class="verdecito">Bienvenido a tu sistema de gestión de inventario</h3>
                        {% block content %}
                        <form action="{% url 'login' %}" method="post" class="user" autocomplete="off">
                          {% csrf_token %}
                          <div class="row">
                            <div class="form-group col-lg-5 col-md-6 col-sm-12 col-xs-9 mt-3">
                              <input type='text' id='username' name='username' autofocus required id="id_username" class="form-control form-control-user" aria-describedby="usuarioHelp" placeholder="Nombre de usuario..."/></br>
                            </div>
                            <div class="form-group col-lg-4 col-md-6 col-sm-12 col-xs-9 mt-3"> 
                              <input type='password' name='password' required id="id_password" class="form-control form-control-user" placeholder="Contraseña..."/></br>
                            </div>
                            
                            <div class="form-group col-lg-3 col-md-3 col-sm-4 col-xs-4 mt-3">
                              <button type="submit" class="btn btn-primary btn-user btn-block">Login</button>
                            </div>
                            {% if form.errors %}
                              <p style="color:red; text-align: center;">Tu usuario o contraseña no son correctos.</p>
                              <p style="color:red; text-align: center;">Porfavor intenta otra vez.</p>
                            {% endif %}
                          </div>
                        </form>
                        {% endblock %} 
                        
                    </div>
                    <div class="col-lg-5 col-md-9 col-sm-12 imagen card justify-content-center d-flex align-items-center">
                        <img src="{% static 'dist/img/logo2.png' %}" alt="" width="250">
                    </div>
                </div>
            </div>
            <div class="col-1">

            </div>
      </div>
  </div>

  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
        <strong>Versión</strong> 1.0.1
    </div>
    <!-- Default to the left -->
    <strong>Copyright © 2020 <a href="">SmartSoft</a>.</strong> Todos los derechos reservados.
  </footer>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
<!-- Bootstrap 4 -->
<script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
<!-- jquery-validation -->
<script src="{% static 'plugins/jquery-easing/jquery.easing.min.js' %}"></script>
<!-- Pagina -->
<script src="{% static 'dist/js/sb-admin-2.min.js' %}"></script>


</body>
</html>
